#ifndef _M68HC12_KEYPAD_DEF_H
#define _M68HC12_KEYPAD_DEF_H


#include "derivative.h"			// derivative-specific definitions
//#include <MC9S12C128.h>			// MCU specific defines


// Constant Definitions
// --------------------

// increase this if you're seeing multiple keys returned, decrease if you're missing keys
#define KEY_DEBTIME 0x40        // key debounce time

// RAM Variables
// -------------
extern unsigned char Newkey, Oldkey;

// Function Prototypes
// -------------------
void InitKeypad(void);
char kbhit(void);
char getkeypad(void);


#endif /* _M68HC12_KEYPAD_DEF_H */
